Debian Bug report logs - #650995
causes dependency loop in boot sequence (according to insserv)

version graph

Package: console-common; Maintainer for console-common is Alastair McKinstry <mckinstry@debian.org>; Source for console-common is src:console-common.

Reported by: Stefano Zacchiroli <zack@debian.org>

Date: Sun, 4 Dec 2011 22:36:02 UTC

Severity: serious

Merged with 651000, 651036, 651043, 651130

Found in version console-common/0.7.86

Fixed in versions console-common/0.7.87, 0.7.87

Done: Christian PERRIER <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, insserv@packages.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Sun, 04 Dec 2011 22:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
New Bug report received and forwarded. Copy sent to insserv@packages.debian.org, Alastair McKinstry <mckinstry@debian.org>. (Sun, 04 Dec 2011 22:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: causes dependency loop in boot sequence (according to insserv)
Date: Sun, 04 Dec 2011 23:33:20 +0100
Package: console-common
Version: 0.7.86
Severity: serious

Installation of console-common 0.7.86 has failed in unstable for me with the
following insserv error:

  Setting up console-common (0.7.86) ...
  Looking for keymap to install:
  NONE
  insserv: There is a loop between service checkfs and cryptdisks if started
  insserv:  loop involving service cryptdisks at depth 12
  insserv:  loop involving service checkroot at depth 11
  insserv: There is a loop between service nfs-common and hwclock if started
  insserv:  loop involving service hwclock at depth 12
  insserv: There is a loop between service lvm2 and cryptdisks-early if started
  insserv:  loop involving service cryptdisks-early at depth 12
  insserv: There is a loop between service checkfs and cryptdisks if started
  insserv: There is a loop between service nfs-common and hwclock if started
  insserv: There is a loop between service lvm2 and cryptdisks-early if started
  insserv:  loop involving service mountnfs at depth 8
  insserv:  loop involving service nfs-common at depth 7
  insserv:  loop involving service portmap at depth 6
  insserv:  loop involving service mountall at depth 4
  insserv:  loop involving service checkfs at depth 3
  insserv:  loop involving service lvm2 at depth 2
  insserv:  loop involving service udev at depth 1
  insserv:  loop involving service mtab at depth 13
  insserv: There is a loop between service mountall and checkfs if started
  insserv:  loop involving service keymap at depth 16
  insserv:  loop involving service hibernate-cleanup at depth 20
  insserv:  loop involving service networking at depth 22
  insserv:  loop involving service restorecond at depth 32
  insserv: There is a loop between service mountnfs and nfs-common if started
  insserv:  loop involving service alsa-utils at depth 33
  insserv:  loop involving service ifupdown-clean at depth 34
  insserv:  loop involving service console-screen at depth 34
  insserv: exiting now without changing boot order!
  update-rc.d: error: insserv rejected the script header
  dpkg: error processing console-common (--configure):
   subprocess installed post-installation script returned error exit status 1
  Errors were encountered while processing:
   console-common

let me know what extra information I can provide to debug this.

Cheers.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages console-common depends on:
ii  console-data           2:1.12-1     
ii  console-tools          1:0.2.3dbs-70
ii  debconf [debconf-2.0]  1.5.41       
ii  debianutils            4.1          
ii  lsb-base               3.2-28       

console-common recommends no packages.

console-common suggests no packages.

-- debconf information:
  console-data/keymap/powerpcadb:
  console-data/keymap/ignored:
  console-data/keymap/full:
  console-data/keymap/template/keymap:
* console-data/keymap/policy: Don't touch keymap
  console-data/bootmap-md5sum: none
  console-data/keymap/template/layout:
  console-data/keymap/family: qwerty
  console-data/keymap/template/variant:




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Sun, 04 Dec 2011 22:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Sun, 04 Dec 2011 22:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 650995@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Stefano Zacchiroli <zack@debian.org>, 650995@bugs.debian.org
Subject: Re: Bug#650995: causes dependency loop in boot sequence (according to insserv)
Date: Sun, 4 Dec 2011 23:48:01 +0100
[Stefano Zacchiroli]
> Installation of console-common 0.7.86 has failed in unstable for me
> with the following insserv error:

Since bellini.debian.org stopped having a compiler installed, my
archive wide consistency check of the init.d script dependencies have
not been operational.  I thus lack the ability to guess which of these
scripts have a loop.
<URL: http://lintian.debian.org/~pere/test-20110605.log > show no
loops, so the problem must have been introduced after this.

Looking at the scripts, restorecond seem to be a new one.  Could it be
the cause of the loop?  Do you get any clues from running
/usr/share/insserv/check-archive-initd-scripts?
-- 
Happy hacking
Petter Reinholdtsen




Forcibly Merged 650995 651000. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 04 Dec 2011 23:06:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dj_palindrome <dj_palindrome@comcast.net>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 00:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 650995@bugs.debian.org (full text, mbox):

From: dj_palindrome <dj_palindrome@comcast.net>
To: 650995@bugs.debian.org
Subject: RE: causes dependency loop in boot sequence (according to insserv)
Date: Sun, 04 Dec 2011 16:53:46 -0800
[Message part 1 (text/plain, inline)]
Whatever it is, it can hardly be described as an isolated incident, 
since at least two related bug reports have already been merged. 
Downgrading console-common from 0.7.86 to 0.7.85 allows me to get on 
with my work.


root@aptosidbox:~# dpkg --configure --pending

Setting up console-common (0.7.86) ...
Looking for keymap to install:
NONE
insserv: There is a loop between service cryptdisks-early and checkroot 
if started
insserv:  loop involving service checkroot at depth 11
insserv:  loop involving service keyboard-setup at depth 10
insserv: There is a loop between service cryptdisks-early and checkroot 
if started
insserv:  loop involving service hwclock at depth 13
insserv:  loop involving service lvm2 at depth 3
insserv:  loop involving service cryptdisks-early at depth 2
insserv:  loop involving service udev at depth 1
insserv: There is a loop between service checkroot and keyboard-setup if 
started
insserv:  loop involving service keymap at depth 24
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: error processing console-common (--configure):
 subprocess installed post-installation script returned error exit status 1
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 01:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 01:06:05 GMT) Full text and rfc822 format available.

Message #22 received at 650995@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Debian Bug Tracking System <650995@bugs.debian.org>
Subject: Re: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 05 Dec 2011 11:32:17 +1030
Package: console-common
Followup-For: Bug #650995

I sucessfully downgraded to 0.7.85 after the following errors with attempting
to upgraded to 0.7.86:

Setting up console-common (0.7.86) ...
Installing new version of config file /etc/init.d/keymap.sh ...
Looking for keymap to install:
NONE
insserv: There is a loop between service checkroot and keymap if started
insserv:  loop involving service keymap at depth 10
insserv:  loop involving service mountnfs at depth 9
insserv: There is a loop between service checkroot and keymap if started
insserv:  loop involving service mtab at depth 5
insserv:  loop involving service checkroot at depth 4
insserv:  loop involving service scsitools-pre at depth 3
insserv:  loop involving service hostname at depth 4
insserv:  loop involving service hwclock at depth 17
insserv:  loop involving service mountnfs-bootclean at depth 26
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: error processing console-common (--configure):
 subprocess installed post-installation script returned error exit status 1


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (500, 'oldstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-rc3 (SMP w/4 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages console-common depends on:
ii  console-data           2:1.12-1
ii  debconf [debconf-2.0]  1.5.41  
ii  debianutils            4.1     
ii  kbd                    1.15.3-7
ii  lsb-base               3.2-28  

console-common recommends no packages.

console-common suggests no packages.

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 07:09:04 GMT) Full text and rfc822 format available.

Message #27 received at 650995@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 650995@bugs.debian.org, zack@debian.org, pere@debian.org
Subject: Re: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 05 Dec 2011 08:06:28 +0100
> [Stefano Zacchiroli]
>> Installation of console-common 0.7.86 has failed in unstable for me
>> with the following insserv error:
>
> Since bellini.debian.org stopped having a compiler installed, my
> archive wide consistency check of the init.d script dependencies have
> not been operational.  I thus lack the ability to guess which of these
> scripts have a loop.
> <URL: http://lintian.debian.org/~pere/test-20110605.log > show no
> loops, so the problem must have been introduced after this.
>
> Looking at the scripts, restorecond seem to be a new one.  Could it be
> the cause of the loop?  Do you get any clues from running
> /usr/share/insserv/check-archive-initd-scripts?

That does not give any clues. The only difference in this regard is the
addition of $remote_fs to Required-Start and Required-Stop.

Removing these, makes it work like before.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 08:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Mas <lolando@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 08:48:03 GMT) Full text and rfc822 format available.

Message #32 received at 650995@bugs.debian.org (full text, mbox):

From: Roland Mas <lolando@debian.org>
To: 650995@bugs.debian.org
Subject: #650995 dependency loop: a possible explanation
Date: Mon, 05 Dec 2011 09:44:04 +0100
Hi all,

Following the hints:

- /etc/init.d/keymap.sh has Required-Start: $remote_fs
- /etc/insserv.conf defines $remote_fs as including $local_fs
- /etc/insserv.conf defines $local_fs as including mountall
- mountall.sh has Required-Start: checkfs
- checkfs.sh has Required-Start: checkroot
- checkroot has Should-Start: keymap
- and we loop.

Roland.
-- 
Roland Mas

La menace de la baffe pèse plus lourd que la baffe elle-même.
  -- in Sri Raoul le petit yogi (Gaudelette)




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 10:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kel Modderman <kel@otaku42.de>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 10:12:09 GMT) Full text and rfc822 format available.

Message #37 received at 650995@bugs.debian.org (full text, mbox):

From: Kel Modderman <kel@otaku42.de>
To: Stefano Zacchiroli <zack@debian.org>, 650995@bugs.debian.org, bubulle@debian.org
Subject: Re: Bug#650995: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 5 Dec 2011 19:40:57 +1000
Hi all,

> Package: console-common
> Version: 0.7.86
> Severity: serious
> 
> Installation of console-common 0.7.86 has failed in unstable for me with the
> following insserv error:

I'd like to think of it as a console-common error which causes insserv to
reject the keymap.sh script header causing dpkg to report an error state :)

> 
>   Setting up console-common (0.7.86) ...
>   Looking for keymap to install:
>   NONE
>   insserv: There is a loop between service checkfs and cryptdisks if started
>   insserv:  loop involving service cryptdisks at depth 12
>   insserv:  loop involving service checkroot at depth 11
>   insserv: There is a loop between service nfs-common and hwclock if started
>   insserv:  loop involving service hwclock at depth 12
>   insserv: There is a loop between service lvm2 and cryptdisks-early if started
>   insserv:  loop involving service cryptdisks-early at depth 12
>   insserv: There is a loop between service checkfs and cryptdisks if started
>   insserv: There is a loop between service nfs-common and hwclock if started
>   insserv: There is a loop between service lvm2 and cryptdisks-early if started
>   insserv:  loop involving service mountnfs at depth 8
>   insserv:  loop involving service nfs-common at depth 7
>   insserv:  loop involving service portmap at depth 6
>   insserv:  loop involving service mountall at depth 4
>   insserv:  loop involving service checkfs at depth 3
>   insserv:  loop involving service lvm2 at depth 2
>   insserv:  loop involving service udev at depth 1
>   insserv:  loop involving service mtab at depth 13
>   insserv: There is a loop between service mountall and checkfs if started
>   insserv:  loop involving service keymap at depth 16
>   insserv:  loop involving service hibernate-cleanup at depth 20
>   insserv:  loop involving service networking at depth 22
>   insserv:  loop involving service restorecond at depth 32
>   insserv: There is a loop between service mountnfs and nfs-common if started
>   insserv:  loop involving service alsa-utils at depth 33
>   insserv:  loop involving service ifupdown-clean at depth 34
>   insserv:  loop involving service console-screen at depth 34
>   insserv: exiting now without changing boot order!
>   update-rc.d: error: insserv rejected the script header
>   dpkg: error processing console-common (--configure):
>    subprocess installed post-installation script returned error exit status 1
>   Errors were encountered while processing:
>    console-common

There is a change in dependency information in the keymap.sh init.d script of
console-common 0.7.86 that is not fully articulated in the changelog:

diff -Nru console-common-0.7.85/debian/keymap.sh console-common-0.7.86/debian/keymap.sh
--- console-common-0.7.85/debian/keymap.sh	2009-11-01 05:41:53.000000000 +1000
+++ console-common-0.7.86/debian/keymap.sh	2011-12-05 01:05:31.000000000 +1000
@@ -1,8 +1,8 @@
 #!/bin/sh
 ### BEGIN INIT INFO
 # Provides:             keymap
-# Required-Start:       mountdevsubfs
-# Required-Stop:     
+# Required-Start:       mountdevsubfs $remote_fs
+# Required-Stop:        $remote_fs
 # Default-Start:        S
 # Default-Stop:
 # X-Interactive:	true
---

checkroot.sh declares a Should-Start depndency on keymap which is a
declaration that keymap service should start before checkroot.sh when present,
but now keymap is declaring that it only starts once the $remote_fs virtual
boot checkpoint is satisfied which is much much later in the boot process. This
is an impossible relationship because checkroot.sh is required by other services
which must start before $remote_fs is satisfied.

I would like to know why this change in dependency was made by the
console-common maintainers?

Thanks, Kel.




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 12:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 12:48:10 GMT) Full text and rfc822 format available.

Message #42 received at 650995@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 650995@bugs.debian.org, zack@debian.org
Subject: Re: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 05 Dec 2011 13:17:37 +0100
[Luk Claes]
> That does not give any clues. The only difference in this regard is
> the addition of $remote_fs to Required-Start and Required-Stop.
> 
> Removing these, makes it work like before.

Perhaps looking at the dotty graph generated using
'/usr/share/insserv/check-initd-order -g' can give you an idea why?

The script '/usr/share/insserv/make-testsuite' can be used to create a
test suite to reproduce the problem, but I guess it is not really
interesting in this case.
-- 
Happy hacking
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 13:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 13:45:11 GMT) Full text and rfc822 format available.

Message #47 received at 650995@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 650995@bugs.debian.org
Cc: Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#650995: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 5 Dec 2011 08:44:45 +0100
[Message part 1 (text/plain, inline)]
Quoting Petter Reinholdtsen (pere@hungry.com):
> [Stefano Zacchiroli]
> > Installation of console-common 0.7.86 has failed in unstable for me
> > with the following insserv error:
> 
> Since bellini.debian.org stopped having a compiler installed, my
> archive wide consistency check of the init.d script dependencies have
> not been operational.  I thus lack the ability to guess which of these
> scripts have a loop.
> <URL: http://lintian.debian.org/~pere/test-20110605.log > show no
> loops, so the problem must have been introduced after this.
> 
> Looking at the scripts, restorecond seem to be a new one.  Could it be
> the cause of the loop?  Do you get any clues from running
> /usr/share/insserv/check-archive-initd-scripts?


On my own system, the problem doesn't only happen for console-common,
but for samba(which has to be updated as well), so I indeed suspect
that this problem might not be lying in these packages.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 13:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 13:45:14 GMT) Full text and rfc822 format available.

Message #52 received at 650995@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 650995@bugs.debian.org
Cc: Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#650995: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 5 Dec 2011 08:28:50 +0100
[Message part 1 (text/plain, inline)]
Quoting Petter Reinholdtsen (pere@hungry.com):
> [Stefano Zacchiroli]
> > Installation of console-common 0.7.86 has failed in unstable for me
> > with the following insserv error:
> 
> Since bellini.debian.org stopped having a compiler installed, my
> archive wide consistency check of the init.d script dependencies have
> not been operational.  I thus lack the ability to guess which of these
> scripts have a loop.
> <URL: http://lintian.debian.org/~pere/test-20110605.log > show no
> loops, so the problem must have been introduced after this.
> 
> Looking at the scripts, restorecond seem to be a new one.  Could it be
> the cause of the loop?  Do you get any clues from running
> /usr/share/insserv/check-archive-initd-scripts?

Changes in 0.7.86 were supposed to be trivial so that RC bug is a
(bad) surprise for me...:-(

It is quite likely that I need help to fix this. I'll try to look at
the problem tonight but can't really promise anything.

Could console-common be a victim of another package problem that was
hidden until one of the packages in the loop is updated?

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 14:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 14:03:04 GMT) Full text and rfc822 format available.

Message #57 received at 650995@bugs.debian.org (full text, mbox):

From: YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>
To: Kel Modderman <kel@otaku42.de>, Stefano Zacchiroli <zack@debian.org>, 650995@bugs.debian.org
Subject: Re: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 5 Dec 2011 22:58:18 +0900
Package: console-common
Followup-For: Bug #650995

Hi,

I am also getting the same error when upgrading console-common to 0.7.86.

[Kel Modderman]
> I would like to know why this change in dependency was made by the
> console-common maintainers?

Perhaps they have tried to fix a lintian error:

$ lintian /var/cache/apt/archives/console-common_0.7.85_all.deb
W: console-common: debconf-is-not-a-registry usr/sbin/install-keymap
W: console-common: debconf-is-not-a-registry usr/share/console/getkmapchoice.pl
E: console-common: init.d-script-missing-dependency-on-remote_fs
etc/init.d/keymap.sh: required-start

This error indicates /usr might be necessary before using /etc/init.d/keymap.sh.
This script invokes commands in /usr if console-tools package is installed:

>        [ -x /usr/bin/unicode_start ] || [ -x /bin/unicode_start ] ||  return
>        [ -x /usr/bin/unicode_stop ] || [ -x /bin/unicode_stop ] || return

Note that /bin/unicode_* are available in kbd package, which is used
in my installation.

So console-tools might have to move /usr/bin/unicode_* to /bin/ to
avoid such a dependency loop.

Thanks,
-- 
YOSHINO Yoshihito <yy.y.ja.jp@gmail.com>


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'),
(500, 'oldstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages console-common depends on:
ii  console-data           2:1.12-1
ii  debconf [debconf-2.0]  1.5.41
ii  debianutils            4.1
ii  kbd                    1.15.3-7
ii  lsb-base               3.2-28

console-common recommends no packages.

console-common suggests no packages.

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 14:24:03 GMT) Full text and rfc822 format available.

Message #62 received at 650995@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 650995@bugs.debian.org, Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#650995: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 5 Dec 2011 15:20:36 +0100
[Christian PERRIER]
> On my own system, the problem doesn't only happen for
> console-common, but for samba(which has to be updated as well), so I
> indeed suspect that this problem might not be lying in these
> packages.

It would be useful to know which package with init.d scripts you have
installed.  Please provide the output from 

  dpkg -S /etc/init.d/*|cut -d: -f1|sort -u

Given that it is a loop, it is useful to try to idenfity which set of
packages need to be installed together for the loop to form.
-- 
Happy hacking
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 18:00:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 18:00:21 GMT) Full text and rfc822 format available.

Message #67 received at 650995@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 650995@bugs.debian.org, Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#650995: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 5 Dec 2011 18:57:07 +0100
[Petter Reinholdtsen]
> Given that it is a loop, it is useful to try to idenfity which set
> of packages need to be installed together for the loop to form.

I finally had a chance to have a look by creating a chroot.  The
problem can be reproduced using a simple debootstrap and then
installing console-common.  The loop is between the keymap.sh script
in console-common and the checkroot.sh script in initscripts.

checkroot have a soft start dependency on keymap provided by
keymap.sh, and keymap.sh depend indirectly on checkroot via the
$remote_fs virtual facility.

The reason checkroot depend on keymap is because it believe it will be
used to load the correct console keymap, and this need to be done
before checkroot to ensure the root password can be typed using the
normal keyboard layout if fsck fail and sulogin ask for the root
password before continuing the rescue boot.

In short, keymap.sh can't depend on $remote_fs before checkroot is
changed to drop its dependency on it (or it can change its provide
string to something else than keymap, but that is probably a bad
idea).
-- 
Happy hacking
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 18:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Chiappa@oracle.com:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 18:15:05 GMT) Full text and rfc822 format available.

Message #72 received at 650995@bugs.debian.org (full text, mbox):

From: Chris Chiappa <Chris.Chiappa@oracle.com>
To: 650995@bugs.debian.org
Subject: Downgrade solves for me as well
Date: Mon, 5 Dec 2011 12:40:55 -0500
I can confirm that downgrading to console-common_0.7.85_all.deb fixes
the problem for me as well.  Here's the requested list:

$  dpkg -S /etc/init.d/*|cut -d: -f1|sort -u
dpkg-query: no path found matching pattern /etc/init.d/lastfmsubmitd~.
dpkg-query: no path found matching pattern /etc/init.d/lastmp~.
dpkg-query: no path found matching pattern /etc/init.d/nfs-kernel-server.dpkg-new.
dpkg-query: no path found matching pattern /etc/init.d/nfs-kernel-server.dpkg-old.
dpkg-query: no path found matching pattern /etc/init.d/nfs-kernel-server~.
acpid
alsa-utils
anacron
apache2.2-common
at
avahi-daemon
binfmt-support
bluez
console-common
cpufrequtils
cron
cups
dbus
dnet-common
exim4-base
fam
fuse
gdm
gdm3
hddtemp
hdparm
ifupdown
initscripts
kbd
keyboard-configuration
lastfmsubmitd
lastmp
lm-sensors
mcelog
memcached
module-init-tools
mpd
mysql-server-5.0
mysql-server-5.1
netbase
network-manager
nfs-common
nfs-kernel-server
ntp
openbsd-inetd
openssh-server
pcscd
policykit
portmap
postfix
ppp
procps
pulseaudio
resolvconf
rpcbind
rsync
rsyslog
samba
sane-utils
sasl2-bin
screen
smartmontools
smokeping
squid
sudo
sysv-rc
udev
udftools
unattended-upgrades
util-linux
virtualbox
virtualbox-ose-guest-utils
winbind
x11-common
xen-utils-common
xfs

-- 

..ooOO chris@chiappa.net              | My opinions are my own  OOoo..
..ooOO chris.chiappa@oracle.com       | and certainly not those OOoo..
..ooOO http://www.chiappa.net/~chris/ | of my employer          OOoo..




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 19:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Yannick Le Saint (kyncani)" <y.lesaint@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 19:06:05 GMT) Full text and rfc822 format available.

Message #77 received at 650995@bugs.debian.org (full text, mbox):

From: "Yannick Le Saint (kyncani)" <y.lesaint@gmail.com>
To: 650995@bugs.debian.org, pere@hungry.com, zack@debian.org
Subject: Re: Bug#650995: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 5 Dec 2011 20:02:45 +0100
I've removed $remote_fs from /etc/init.d/keymap.sh -> Required-Start
and dpkg --configure --pending has finalized console-common's 
installation.

Thank you all for your pointers :)

-- 
Regards.

Yannick Le Saint (kyncani) <y.lesaint@gmail.com>




Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 19:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 19:15:09 GMT) Full text and rfc822 format available.

Message #82 received at 650995@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Kel Modderman <kel@otaku42.de>, 650995@bugs.debian.org
Cc: Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#650995: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 5 Dec 2011 20:14:16 +0100
[Message part 1 (text/plain, inline)]
Quoting Kel Modderman (kel@otaku42.de):

> I would like to know why this change in dependency was made by the
> console-common maintainers?


I'll check this ASAP. It might be a change that accidentally leaked
into the VCS (when I worked on this package yesterday, I found a few
pending changes additionnally to the issue I was working on (which was
related to /run transition)

[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 650995 651000 651043. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Mon, 05 Dec 2011 19:15:10 GMT) Full text and rfc822 format available.

Forcibly Merged 650995 651000 651036 651043. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Mon, 05 Dec 2011 19:15:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 20:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 20:21:12 GMT) Full text and rfc822 format available.

Message #91 received at 650995@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Kel Modderman <kel@otaku42.de>
Cc: Stefano Zacchiroli <zack@debian.org>, 650995@bugs.debian.org
Subject: Re: Bug#650995: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 5 Dec 2011 21:18:02 +0100
[Message part 1 (text/plain, inline)]
Quoting Kel Modderman (kel@otaku42.de):

> I would like to know why this change in dependency was made by the
> console-common maintainers?

This happened in r314 of our SVN, in a commit of mine, meant to fix
#633048. I actually had no intent of doing this change. I guess that
it was (for areason I can't even imagine) pending in my local SVN
copy...and I couldn't even notice it when doing "svn diff" before
committing.

And, to make it worse, it seems that the (probably too) short test I
did before uploading didn't reveal the problem..:-(

Sorry for the trouble to everybody who was annoyed by this issue.

I just fixed it in console-common 0.7.87. Thanks, Kel, for your
analysis.




[signature.asc (application/pgp-signature, inline)]

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Mon, 05 Dec 2011 21:06:13 GMT) Full text and rfc822 format available.

Notification sent to Stefano Zacchiroli <zack@debian.org>:
Bug acknowledged by developer. (Mon, 05 Dec 2011 21:06:14 GMT) Full text and rfc822 format available.

Message #96 received at 650995-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 650995-close@bugs.debian.org
Subject: Bug#650995: fixed in console-common 0.7.87
Date: Mon, 05 Dec 2011 21:03:43 +0000
Source: console-common
Source-Version: 0.7.87

We believe that the bug you reported is fixed in the latest version of
console-common, which is due to be installed in the Debian FTP archive:

console-common_0.7.87.dsc
  to main/c/console-common/console-common_0.7.87.dsc
console-common_0.7.87.tar.gz
  to main/c/console-common/console-common_0.7.87.tar.gz
console-common_0.7.87_all.deb
  to main/c/console-common/console-common_0.7.87_all.deb
dh-consoledata_0.7.87_all.deb
  to main/c/console-common/dh-consoledata_0.7.87_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650995@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated console-common package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 05 Dec 2011 21:08:35 +0100
Source: console-common
Binary: console-common dh-consoledata
Architecture: source all
Version: 0.7.87
Distribution: unstable
Urgency: low
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 console-common - basic infrastructure for text console configuration
 dh-consoledata - debhelper-based script to help packaging console data files
Closes: 650995
Changes: 
 console-common (0.7.87) unstable; urgency=low
 .
   * Drop dependency on $remote_fs that accidentally leaked in 0.7.86
     init script. Closes: #650995
Checksums-Sha1: 
 125771c49c496b452902b1a9af49b3e605983e9b 1617 console-common_0.7.87.dsc
 3661a834fb1466a0ebd8d077b6f60dd0e07aa1bf 171811 console-common_0.7.87.tar.gz
 9d1ce6d8fce361345d30c7b1e4b531a568f9ea4b 128384 console-common_0.7.87_all.deb
 aa824886822bfeb74a1807bb7eab224dc5b0ea25 91564 dh-consoledata_0.7.87_all.deb
Checksums-Sha256: 
 af4ab466fca6ad576d6a85f5c38187f1745ea0193bb48173bda1f34c178c38b7 1617 console-common_0.7.87.dsc
 69fc9511f3e995a0ad5d8627d0382adb002d37e2591b8f992701b649425994af 171811 console-common_0.7.87.tar.gz
 3ef6519fd25299578ba258e4d0c4a1e8e3daafac05b84f0c0fb668008fb2834c 128384 console-common_0.7.87_all.deb
 2118b911a45c577260145493f7825b5b78d6511f656cc07a7e6ae686e2c50bb7 91564 dh-consoledata_0.7.87_all.deb
Files: 
 b9965188120e2c8c34ae5f2cf283fae6 1617 utils optional console-common_0.7.87.dsc
 09ed0a0af01bde85d2fc0ccc48b4a1bb 171811 utils optional console-common_0.7.87.tar.gz
 4e5490a6e75dc3d5f472c886df7504f2 128384 utils optional console-common_0.7.87_all.deb
 eb3b33082aad7461505a72206ca8df9c 91564 devel extra dh-consoledata_0.7.87_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTt0l/YcvcCxNbiWoAQKINw/+LBWeGMjb2ejP3HoVTGakOxcimaWnWNI4
uslKhlUu1VzvrBZVK1aRmU2VCCqY9/hGh3KRPBEEftFwUNcA74UX9h9oAJShTH01
CA9pagnmBwj2svgMIO0eWDX1DTLEVsefOH1a0kjcJDLzjHiULEYMTfo4tNP7Wsgp
FZYOqAFCGhEd8NsST7o0p4LOXZMfk8MfHW44+pbG0zQmxIr0/7uL+oAYE2xkgcq6
20rttEOTmcN8JwZTA4bPvfYubZKIeq5AxyWR3sLNFNKQeLOgQGcvUKp5bHp8WbCt
+atRgC+GE9joDlcqQb4uoMtHRqa3HpQmGR4aXbo3X/E0uC4WfWs+toK8E/SEnz/r
AKvu/5zVWPNjTPA9Di0g62ovB1ytzvGPZqNUKntXaf2zaR9G+JpzszYu7n5nfMCm
/qXdK9zMJOrdHS0s86ex/ZqGaW/uyBzoaWyqokiLNn06AUCcmAAV4Y5GEHeSXtUd
wnPDIZ38VelV2WpXpMFvpm15x/MCA+Z1D7RqBPkEApVCu3Sp2watY2noPn+31PTM
XNrbmigIXahhCGMI+L7AaNmeiHePWBxJbqac+D9pJVpMme0K+IgHCE6puE2l2K2r
O3rM1gXPUFBiA5pjvGE5gzZ5uN04ReOS7xiEq9sLki/hXhtaY6qeFdIDBnJZRvHL
x0VYQcKY7ck=
=NBSY
-----END PGP SIGNATURE-----





Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Mon, 05 Dec 2011 21:06:15 GMT) Full text and rfc822 format available.

Notification sent to Michael Rasmussen <mir@datanom.net>:
Bug acknowledged by developer. (Mon, 05 Dec 2011 21:06:15 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Mon, 05 Dec 2011 21:06:16 GMT) Full text and rfc822 format available.

Notification sent to Anton Cula <lnvrxnxrupi@mailinator.com>:
Bug acknowledged by developer. (Mon, 05 Dec 2011 21:06:17 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Mon, 05 Dec 2011 21:06:22 GMT) Full text and rfc822 format available.

Notification sent to ASD Consultoria <asd.consultoria.ltda@gmail.com>:
Bug acknowledged by developer. (Mon, 05 Dec 2011 21:06:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alastair McKinstry <mckinstry@debian.org>:
Bug#650995; Package console-common. (Mon, 05 Dec 2011 21:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Alastair McKinstry <mckinstry@debian.org>. (Mon, 05 Dec 2011 21:21:08 GMT) Full text and rfc822 format available.

Message #116 received at 650995@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Christian PERRIER <bubulle@debian.org>
Cc: 650995@bugs.debian.org
Subject: Re: Bug#650995: causes dependency loop in boot sequence (according to insserv)
Date: Mon, 5 Dec 2011 22:16:31 +0100
[Message part 1 (text/plain, inline)]
On Mon, Dec 05, 2011 at 09:18:02PM +0100, Christian PERRIER wrote:
> I just fixed it in console-common 0.7.87. Thanks, Kel, for your
> analysis.

... and thank you for fixing this bug in such a timely manner!

-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 650995 651000 651036 651043 651130. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Tue, 06 Dec 2011 07:24:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Jan 2012 07:31:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:42:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.